POST /oauth/revoke
Revoke
REST API overview · OpenAPI JSON · OpenAPI YAML
| Stability | Authentication | Cost | Operation ID |
|---|---|---|---|
| Published | Client ID; HTTP Basic for confidential clients | Free | revoke_api_v1_oauth_revoke_post |
This operation has no path or query parameters.
Schema: inline
| Name | Required | Type | Description |
|---|---|---|---|
token | Yes | string | — |
token_type_hint | No | string | null | — |
client_id | No | string | null | — |
curl --request POST \
--url "https://qveris.ai/api/v1/oauth/revoke" \
--data-urlencode 'token=YOUR_TOKEN' \
--data-urlencode 'token_type_hint=access_token' \
--data-urlencode 'client_id=YOUR_CLIENT_ID'
const response = await fetch("https://qveris.ai/api/v1/oauth/revoke", {
method: "POST",
body: new URLSearchParams(Object.entries({
"token": "YOUR_TOKEN",
"token_type_hint": "access_token",
"client_id": "YOUR_CLIENT_ID"
}).map(([key, value]) => [key, String(value)])),
})
if (!response.ok) throw new Error(`QVeris request failed: ${response.status}`)
console.log(await response.json())
import json
import requests
response = requests.request(
"POST",
"https://qveris.ai/api/v1/oauth/revoke",
data=json.loads(r'''{
"token": "YOUR_TOKEN",
"token_type_hint": "access_token",
"client_id": "YOUR_CLIENT_ID"
}'''),
timeout=30,
)
response.raise_for_status()
print(response.json())
| Status | Meaning | Schema |
|---|---|---|
200 | Successful Response | object |
400 | OAuth request or grant error | OAuthErrorResponse |
401 | Client authentication or bearer-token error | OAuthErrorResponse |
403 | Subject token has insufficient scope | OAuthErrorResponse |
422 | Validation Error | HTTPValidationError |
{}
POST Discover capabilities · POST Inspect capabilities · POST Probe a capability · POST Call a capability
Was this page helpful?